summary refs log tree commit diff
path: root/home
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-07-24 17:34:24 -0400
committerJune McEnroe <june@causal.agency>2019-07-24 17:34:24 -0400
commit44fa22f89e674912627a52d8f4f9593f8ff5476e (patch)
treed435f33cb0a39c8dae0865b8310684675491ad96 /home
parentAdd beginning of date calculator (diff)
downloadsrc-44fa22f89e674912627a52d8f4f9593f8ff5476e.tar.gz
src-44fa22f89e674912627a52d8f4f9593f8ff5476e.zip
Add wiki script
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/wiki7
1 files changed, 7 insertions, 0 deletions
diff --git a/home/.local/bin/wiki b/home/.local/bin/wiki
new file mode 100755
index 00000000..c4308098
--- /dev/null
+++ b/home/.local/bin/wiki
@@ -0,0 +1,7 @@
+#!/bin/sh
+set -eu
+
+curl -Gs 'https://en.wikipedia.org/w/api.php' \
+    -d 'action=opensearch' --data-urlencode "search=$1" \
+    | jq -r '.[2][]' \
+    | sed -En "s/^([^ ]| [^i]| i[^s]| is[^ ])* is /It's not a $1, what we need is /p"
itle='2020-09-11 21:05:02 -0400'>2020-09-11Rewrite install script yet againJune McEnroe 2020-09-11Remove NetBSD from install scriptJune McEnroe I never use it. 2020-09-11Use MacPorts rather than pkgsrcJune McEnroe My system is probably such a mess now... 2020-09-11Add debian VM name to sshJune McEnroe 2020-09-11Add influencer tweetJune McEnroe 2020-09-10Add The Kingdom of GodsJune McEnroe Reading has really slowed down :( 2020-09-07Add SunglassesJune McEnroe An IRC find. 2020-09-06Add Between the BreathsJune McEnroe One of those good songs from a soundtrack of a film that probably isn't? The summary sounds a lot more interesting than the title implies, at least. 2020-09-04Open /dev/tty in nudgeJune McEnroe This makes it work even when it's run connected to a pipe, i.e. as the notify command of catgirl... 2020-09-04Add nudgeJune McEnroe 2020-09-03Build fbclock with -lzJune McEnroe I guess this got lost somewhere, long ago... 2020-08-29Add tweets from retweetsJune McEnroe